@import "../screen";
@import "../var";

#ressourceDisplayForm {
  display: flex;
  justify-content: space-between;
  overflow: auto;
  height: 100%;
  margin: 15px;
  @media (max-width: $medium-small) {
    flex-direction: column;
    overflow: initial;
  }

  .recRessource {
    margin-right: 15px;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    width: 70%;
    @media (max-width: $medium-small) {
      width: 100%;
      margin-right: 0;
    }

    .headerRessource {
      display: flex;
      flex-direction: row;

      @media (max-width: $small) {
        flex-direction: column;
        justify-content: space-between;
        align-items: center;

        h1 {
          text-align: center;
        }

        .displayRessource {
          margin-bottom: 15px;
        }
      }

      .displayRessource {
        width: 200px;
        height: 200px;
        min-width: 200px;
        min-height: 200px;
      }

      h1 {
        margin: auto;
        padding: 15px;
      }
    }

    #content-resource {
      display: flex;
      flex-direction: column;
      margin-top: 15px;
      height: 100%;

      a{
        text-decoration: underline;
      }

      iframe{
        height: 100%;
      }

      #text-resource {
        border: 1px solid black;
        padding: 10px;
        overflow: auto;
        border-radius: 3px;
        box-shadow: rgb(181, 181, 181) 1px 1px 3px 2px;
      }
    }
  }

  #participer-info {
    display: flex;
    justify-content: space-between;
    margin: 15px 0;

    @media (max-width: $small) {
      flex-direction: column;
      align-items: center;

      cite {
        text-align: center;
      }

      #ressource-participate {
        margin-top: 15px;
      }

    }

    #ressource-participate {
      width: 150px;
      height: 35px;
    }

    cite {
      margin: auto 0;
    }

  }

  .comRessource {
    margin-left: 0;
    display: flex;
    flex-direction: column;
    border: 1px solid rgb(0, 0, 0);
    width: 30%;
    max-width: 550px;
    position: sticky;
    top: 0;

    @media (max-width: $medium-small) {
      margin: 15px 0;
      max-width: none;
      width: 100%;
    }

    ul {
      height: 95%;
      overflow: auto;
      padding: 10px;

      li {
        margin-top: 10px;
        margin-bottom: 10px;
        padding-right: 20px;

        p {
          background-color: $bleu;
          width: fit-content;
          border-radius: 2px;
          padding: 10px;

        }

        &.active {
          padding-left: 20px;
          padding-right: 0;

          p {
            background: $vert;
            margin-left: auto;
            margin-right: 0;
          }
        }
      }

    }

    .posteCom {
      height: 5%;
      display: flex;
      justify-content: space-between;
      border-top: 1px solid rgb(0, 0, 0);

      input {
        width: 100%;
        border: 0;
      }

      #send-com {
        font-family: "PLay", sans-serif;
        background: white;
        border: none;
        border-left: solid 1px #686868;
        color: rgb(75, 75, 75);
        padding: 5px;
        font-size: 12px;
        font-weight: bold;
        letter-spacing: 1px;
        text-transform: uppercase;
        height: 100%;
      }
    }
  }
}